> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a query fan-out



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json post /v1/audits/query-fan-outs
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/audits/query-fan-outs:
    post:
      tags:
        - Audits
      summary: Create a query fan-out
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicApiCreateQueryFanOutRequest'
      responses:
        '201':
          description: Query fan-out created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiCreateQueryFanOutResponse'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '429':
          description: Quota exhausted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiCreateQueryFanOutRequest:
      type: object
      properties:
        workspaceId:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        query:
          type: string
          minLength: 1
      required:
        - workspaceId
        - query
    PublicApiCreateQueryFanOutResponse:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        query:
          type: string
        status:
          type: string
          enum:
            - pending
        createdDate:
          type: string
      required:
        - id
        - query
        - status
        - createdDate
      example:
        id: 01HXFANOUT5XY8Z2N3KQ7VAW4P
        query: best running shoes for marathon training
        status: pending
        createdDate: '2026-06-18T08:29:45.000Z'
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````